// ////////////////////////////////////////////////////
//
// StdView.h : interface of the CStdView class
// Based on class COGLView : public CView
// Inspect COGLView for standard OpenGL initialization
//
////////////////////////////////////////////////////////
#include "oglview.h"

class CStdView : public COGLView
{
protected: 
	CStdView();
	DECLARE_DYNCREATE(CStdView)

// Operations
public:
	CStdDoc* GetDocument();
	virtual void DrawScene();
	virtual void InitializeRContext();
	virtual void SetPerspective(int cx, int cy);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStdView)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CStdView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	BOOL m_bIsRotating;
	CPoint m_PLast;
	GLfloat m_VX,m_VZ;

// Generated message map functions
protected:
	//{{AFX_MSG(CStdView)
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in StdView.cpp
inline CStdDoc* CStdView::GetDocument()
   { return (CStdDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
